ServerEvents.recipes(event => {
//event.shaped('kubejs:platinum_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:platinum_nugget'})
//event.shaped('9x kubejs:platinum_nugget', ['   ', ' V ', '   '], {V: 'kubejs:platinum_ingot'})
//event.shaped('9x kubejs:platinum_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:platinum_block'})
//event.shaped('kubejs:platinum_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:platinum_ingot'})
event.shaped('minecraft:sculk_sensor', ['   ', 'VBV', 'DBD'], {V: 'minecraft:twisting_vines', B: 'minecraft:warped_wart_block', D: 'minecraft:crying_obsidian'})
event.shaped('9x minecraft:copper_ingot', ['   ', ' V ', '   '], {V: 'minecraft:copper_block'})
event.shaped('4x minecraft:light', ['   ', ' VV', ' VV'], {V: 'minecraft:torch'})
event.shaped('3x minecraft:sculk_vein', ['BV ', 'VV ', '   '], {V: 'minecraft:vine', B: 'minecraft:echo_shard'})
event.shaped('minecraft:powder_snow_bucket', ['BV ', '   ', '   '], {V: 'minecraft:bucket', B: 'minecraft:snow_block'})
event.shaped('8x minecraft:crying_obsidian', ['VVV', 'VBV', 'VVV'], {V: 'minecraft:obsidian', B: 'minecraft:ghast_tear'})
event.shaped('3x minecraft:glow_lichen', ['BV ', 'VV ', '   '], {V: 'minecraft:vine', B: 'minecraft:glowstone_dust'})
event.shaped('minecraft:glowstone_dust', ['V  ', '   ', '   '], {V: 'minecraft:glow_berries'})
event.shaped('12x minecraft:end_portal_frame', ['DBD', 'DED', 'VVV'], {V: 'minecraft:end_stone', B: 'minecraft:ender_eye', E: 'divinerpg:call_of_the_watcher', D: '#forge:glass'})
event.shaped('minecraft:bell', ['VBV', 'VDV', 'VEV'], {V: 'minecraft:stone', B: 'minecraft:stick', E: 'minecraft:gold_nugget', D: 'minecraft:gold_block'})
event.shaped('tombstone:essence_of_undeath', [' V ', 'VBV', ' V '], {V: 'tombstone:grave_dust', B: '#forge:heads'})
event.shaped('mysticalagriculture:awakened_supremium_essence', ['VVV', 'VBV', 'VVV'], {V: 'mysticalagradditions:insanium_essence', B: 'mysticalagriculture:master_infusion_crystal'})
event.shaped('mysticalagradditions:creative_essence', ['BVD', 'BVD', 'BVD'], {V: 'mysticalagriculture:awakened_supremium_essence', B: 'extendedcrafting:luminessence_block', D: 'twilightforest:fiery_block'})
event.shaped('kubejs:neutron_gear', [' V ', 'VBV', ' V '], {V: 'avaritia:neutronium_ingot', B: 'enderio:dark_bimetal_gear'})
event.shaped('solarpanels:creative_solar_panel', ['AAA', 'BCB', 'DED'], {A: 'solarpanels:creative_solar_element', B: 'mekanism:ingot_osmium', C: 'solarpanels:photonic_solar_panel', D: 'mekanism:hdpe_sheet', E: 'solarpanels:creative_energy_tablet'})
event.shaped('solarpanels:creative_solar_element', ['AAA', 'BBB', 'CCC'], {A: 'minecraft:pink_stained_glass_pane', B: 'mekanism:pellet_antimatter', C: 'kubejs:neutron_gear'})
event.shaped('solarpanels:creative_energy_tablet', ['ABA', 'CDC', 'ABA'], {A: 'mekanism:ultimate_tier_installer', B: 'extendedcrafting:luminessence', C: 'extendedcrafting:the_ultimate_ingot', D: 'solarpanels:photonic_energy_tablet'})
event.shaped('create:creative_blaze_cake', [' V ', 'VVV', ' V '], {V: 'create:blaze_cake'})
event.shaped('dragonsurvival:princess_summon', ['BBB', 'BVB', 'BBB'], {V: 'dragonsurvival:prince_summon', B: 'dragonsurvival:elder_dragon_bone'})
event.shaped('dragonsurvival:prince_summon', ['VBV', 'BVB', 'VBV'], {V: 'dragonsurvival:weak_dragon_heart', B: 'minecraft:enchanted_golden_apple'})
event.shaped('8x ae2:certus_quartz_crystal', ['VVV', 'V V', 'VVV'], {V: 'gtceu:certus_quartz_gem'})
event.shaped('minecraft:rib_armor_trim_smithing_template', ['BVB', 'BDB', 'BBB'], {V: 'minecraft:netherite_upgrade_smithing_template', B: 'minecraft:diamond', D: 'minecraft:crimson_nylium'})
event.shaped('minecraft:snout_armor_trim_smithing_template', ['BVB', 'BDB', 'BBB'], {V: 'minecraft:netherite_upgrade_smithing_template', B: 'minecraft:diamond', D: 'minecraft:blackstone'})
event.shaped('kubejs:bonus_case', ['   ', ' VV', ' VV'], {V: Item.of('ftbquests:lootcrate', '{type:"_"}') .weakNBT()})
event.shaped('kubejs:silver_case', [' V ', 'VBV', ' V '], {V: Item.of('ftbquests:lootcrate', '{type:"_2"}') .weakNBT(), B: 'kubejs:bonus_case'})
event.shaped('kubejs:gold_case', [' V ', 'VBV', ' V '], {V: Item.of('ftbquests:lootcrate', '{type:"_3"}') .weakNBT(), B: 'kubejs:silver_case'})
event.shaped('kubejs:diamond_case', [' V ', 'VBV', ' V '], {V: Item.of('ftbquests:lootcrate', '{type:"_4"}') .weakNBT(), B: 'kubejs:gold_case'})
event.shaped('kubejs:botania_case', ['   ', ' BB', ' BB'], {B: 'kubejs:diamond_case'})
event.shaped('kubejs:solar_case', ['   ', ' BB', ' BB'], {B: 'kubejs:botania_case'})
event.shaped('immersiveengineering:capacitor_creative', ['DBD', 'BVB', 'DBD'], {V: Item.of('mekanism:creative_energy_cube', '{mekData:{EnergyContainers:[{Container:0b,stored:"18446744073709551615.9999"}],componentConfig:{config0:{side0:4,side1:4,side2:4,side3:4,side4:4,side5:4}}}}') .weakNBT(), B: Item.of('immersiveengineering:capacitor_hv', '{energy:0}') .weakNBT(), D: 'immersiveengineering:heavy_engineering'})
event.shaped('rftoolsbase:machine_frame', ['ABA', 'CDC', 'ABA'], {A: '#forge:ingots/enderium', B: 'mekanism:alloy_atomic', C: 'mekanism:ultimate_control_circuit', D: 'mekanism:steel_casing'})
event.shaped('createsifter:advanced_custom_mesh', [' V ', 'VBV', ' V '], {V: '#forge:ingots/hssg', B: 'createsifter:advanced_brass_mesh'})
event.shaped('4x ae2:quartz_glass', ['BVB', 'VBV', 'BVB'], {V: '#forge:glass', B: '#forge:dusts/quartz'})
event.shaped('3x ae2:quartz_fiber', ['VVV', 'BBB', 'VVV'], {V: '#forge:glass', B: '#forge:dusts/quartz'})
event.shaped('minecraft:furnace', ['VVV', 'VBV', 'VVV'], {V: '#forge:cobblestone', B: 'minecraft:campfire'})
event.shaped('dragonseeker:godly_dragonseeker', ['VEV', 'BBB', 'VDV'], {V: 'twilightforest:fiery_ingot', B: 'minecraft:diamond', E: 'dragonseeker:legendary_dragonseeker', D: 'dragonseeker:epic_dragonseeker'})
})